요금제 버전 복원
curl --request POST \
--url https://meterengine.com/v1/price-plans/{id}/restorations \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/price-plans/{id}/restorations';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"archived_at": "2023-11-07T05:31:56Z",
"archived_from": "<string>",
"base_fee": 123,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effective_from": "<string>",
"effective_until": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"minimum_amount": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}요금제
요금제 버전 복원
보관 효력이 시작되기 전이고 대체 버전이 없을 때만 복원한다. 그 밖에는 새 버전을 등록한다.
POST
/
v1
/
price-plans
/
{id}
/
restorations
요금제 버전 복원
curl --request POST \
--url https://meterengine.com/v1/price-plans/{id}/restorations \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/price-plans/{id}/restorations';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"archived_at": "2023-11-07T05:31:56Z",
"archived_from": "<string>",
"base_fee": 123,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effective_from": "<string>",
"effective_until": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"minimum_amount": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.